> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/add-udelement.md).

# Add-UDElement

Add-UDElement indsætter et nyt element i et overordnet element i et PowerShell Universal-dashboard, med en funktionsmåde, der varierer efter den overordnede type.

### Synopsis

Tilføjer et element til et overordnet element.

### Syntaks

```powershell
Add-UDElement [-ParentId] <String> [-Content] <ScriptBlock> [-Broadcast] [<CommonParameters>]
```

### Beskrivelse

Tilføjer et element til et overordnet element. Denne cmdlet kan opføre sig forskelligt afhængigt af typen af overordnet element.

### Parametre

#### -ParentId

Id'et for det overordnede element, som elementet skal tilføjes til.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Indholdet, der skal tilføjes til det overordnede element.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Om alle tilsluttede dashboards (alle brugere) skal opdateres.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: tilføj element

```powershell
New-UDElement -Tag 'div' -Id 'addElement1' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement1' -Content {
        New-UDTypography -Text 'Hello World'
    }
}
```

Tilføjer et element til et overordnet element.

#### Eksempel 2: Broadcast

```powershell
New-UDElement -Tag 'div' -Id 'addElement2' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement2' -Content {
        New-UDTypography -Text 'Hello World'
    } -Broadcast
}
```

Tilføjer et element til et overordnet element og udsender det til alle tilsluttede dashboards.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/add-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
